GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "00cbcaf2-45eb-4253-914c-c60b30be065d",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "1b1caff2-d96b-4407-b21d-c9cc1925654a",
"guard_id": "92b6a326-fd86-49af-9e71-838b7c641746",
"active": true
},
{
"id": "00cbcaf2-45eb-4253-914c-c60b30be065d",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "1b1caff2-d96b-4407-b21d-c9cc1925654a",
"guard_id": "92b6a326-fd86-49af-9e71-838b7c641746",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>1b1caff2-d96b-4407-b21d-c9cc1925654a</distribution_id>
<guard_id>92b6a326-fd86-49af-9e71-838b7c641746</guard_id>
<id>00cbcaf2-45eb-4253-914c-c60b30be065d</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>1b1caff2-d96b-4407-b21d-c9cc1925654a</distribution_id>
<guard_id>92b6a326-fd86-49af-9e71-838b7c641746</guard_id>
<id>00cbcaf2-45eb-4253-914c-c60b30be065d</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>